diff --git a/debian/speechd-el.emacsen-install b/debian/speechd-el.emacsen-install
index fb7dfd7..d940e07 100755
--- a/debian/speechd-el.emacsen-install
+++ b/debian/speechd-el.emacsen-install
@@ -13,6 +13,23 @@ ELC_DIR=/usr/share/${FLAVOR}/site-lisp/$PACKAGE
 if [ "${FLAVOR}" = emacs23 ] || [ "${FLAVOR}" = emacs22 ] || [ "${FLAVOR}" = emacs21 ] || [ "${FLAVOR}" = emacs-snapshot ]; then
   echo "install/$PACKAGE: byte-compiling for ${FLAVOR}..."
 
+  # eieio is integrated in emacs23, conflicting with standalone eieio
+  # package. This makes impossible to use this package with
+  # e.g. emacs22 and a standalone eieio package if emacs23 is
+  # installed (#694676). Check if eieio sources are available when
+  # byte-compiling for emacs21 or emacs22. This should help use of this
+  # package in ancient boxes.
+  case "${FLAVOR}" in
+      emacs21|emacs22)
+	  if [ ! -d "/usr/share/emacs/site-lisp/eieio" ]; then
+	      echo "install/$PACKAGE: No standalone eieio package available for ${FLAVOR}. Skipping ..."
+	      exit 0
+	  fi
+	  ;;
+      *)
+
+  esac
+
   # Copy the temp .el files
   if [ ! -d ${ELC_DIR} ]; then
     mkdir ${ELC_DIR}
